diff --git a/Make.config.template b/Make.config.template
index 08f9ece..1ad7663 100644
--- a/Make.config.template
+++ b/Make.config.template
@@ -16,11 +16,6 @@ CFLAGS   = -g -O3 -Wall
 CXX      = g++
 CXXFLAGS = -g -O3 -Wall -Werror=overloaded-virtual -Wno-parentheses
 
-ifdef PLUGIN
-CFLAGS   += -fPIC
-CXXFLAGS += -fPIC
-endif
-
 # Use 'make M32=1 ...' to build a 32-bit version of VDR on a 64-bit machine:
 ifdef M32
 CFLAGS   += -m32
diff --git a/PLUGINS/src/dvbhddevice/Makefile b/PLUGINS/src/dvbhddevice/Makefile
index ad50296..508c13b 100644
--- a/PLUGINS/src/dvbhddevice/Makefile
+++ b/PLUGINS/src/dvbhddevice/Makefile
@@ -26,14 +26,14 @@ VDRDIR ?= ../../..
 LIBDIR ?= ../../lib
 TMPDIR ?= /tmp
 
-### Make sure that necessary options are included:
-
-include $(VDRDIR)/Make.global
-
 ### Allow user defined options to overwrite defaults:
 
 -include $(VDRDIR)/Make.config
 
+### Make sure that necessary options are included:
+
+include $(VDRDIR)/Make.global
+
 ### The version number of VDR's plugin API (taken from VDR's "config.h"):
 
 APIVERSION = $(shell sed -ne '/define APIVERSION/s/^.*"\(.*\)".*$$/\1/p' $(VDRDIR)/config.h)
@@ -99,7 +99,7 @@ i18n: $(I18Nmsgs) $(I18Npot)
 ### Targets:
 
 libvdr-$(PLUGIN).so: $(OBJS) libhdffcmd
-	$(MAKE) -C libhdffcmd all
+	$(MAKE) -C libhdffcmd PLUGIN=$(PLUGIN) all
 	$(CXX) $(CXXFLAGS) -shared $(OBJS) libhdffcmd/libhdffcmd.a -o $@
 	@cp --remove-destination $@ $(LIBDIR)/$@.$(APIVERSION)
 
diff --git a/PLUGINS/src/dvbhddevice/libhdffcmd/Makefile b/PLUGINS/src/dvbhddevice/libhdffcmd/Makefile
index babe79b..52cfc5a 100644
--- a/PLUGINS/src/dvbhddevice/libhdffcmd/Makefile
+++ b/PLUGINS/src/dvbhddevice/libhdffcmd/Makefile
@@ -28,14 +28,14 @@ ARFLAGS ?= r
 
 VDRDIR ?= ../../../..
 
-### Make sure that necessary options are included:
-
-include $(VDRDIR)/Make.global
-
 ### Allow user defined options to overwrite defaults:
 
 -include $(VDRDIR)/Make.config
 
+### Make sure that necessary options are included:
+
+include $(VDRDIR)/Make.global
+
 ### Implicit rules:
 
 %.o: %.c
diff --git a/PLUGINS/src/dvbsddevice/Makefile b/PLUGINS/src/dvbsddevice/Makefile
index 1e7b5dd..c8ad42b 100644
--- a/PLUGINS/src/dvbsddevice/Makefile
+++ b/PLUGINS/src/dvbsddevice/Makefile
@@ -26,14 +26,14 @@ VDRDIR ?= ../../..
 LIBDIR ?= ../../lib
 TMPDIR ?= /tmp
 
-### Make sure that necessary options are included:
-
-include $(VDRDIR)/Make.global
-
 ### Allow user defined options to overwrite defaults:
 
 -include $(VDRDIR)/Make.config
 
+### Make sure that necessary options are included:
+
+include $(VDRDIR)/Make.global
+
 ### The version number of VDR's plugin API (taken from VDR's "config.h"):
 
 APIVERSION = $(shell sed -ne '/define APIVERSION/s/^.*"\(.*\)".*$$/\1/p' $(VDRDIR)/config.h)
diff --git a/PLUGINS/src/epgtableid0/Makefile b/PLUGINS/src/epgtableid0/Makefile
index 78bf3e7..8e75f33 100644
--- a/PLUGINS/src/epgtableid0/Makefile
+++ b/PLUGINS/src/epgtableid0/Makefile
@@ -26,14 +26,14 @@ VDRDIR ?= ../../..
 LIBDIR ?= ../../lib
 TMPDIR ?= /tmp
 
-### Make sure that necessary options are included:
-
-include $(VDRDIR)/Make.global
-
 ### Allow user defined options to overwrite defaults:
 
 -include $(VDRDIR)/Make.config
 
+### Make sure that necessary options are included:
+
+include $(VDRDIR)/Make.global
+
 ### The version number of VDR's plugin API (taken from VDR's "config.h"):
 
 APIVERSION = $(shell sed -ne '/define APIVERSION/s/^.*"\(.*\)".*$$/\1/p' $(VDRDIR)/config.h)
diff --git a/PLUGINS/src/hello/Makefile b/PLUGINS/src/hello/Makefile
index cdf6340..525af11 100644
--- a/PLUGINS/src/hello/Makefile
+++ b/PLUGINS/src/hello/Makefile
@@ -26,14 +26,14 @@ VDRDIR ?= ../../..
 LIBDIR ?= ../../lib
 TMPDIR ?= /tmp
 
-### Make sure that necessary options are included:
-
-include $(VDRDIR)/Make.global
-
 ### Allow user defined options to overwrite defaults:
 
 -include $(VDRDIR)/Make.config
 
+### Make sure that necessary options are included:
+
+include $(VDRDIR)/Make.global
+
 ### The version number of VDR's plugin API (taken from VDR's "config.h"):
 
 APIVERSION = $(shell sed -ne '/define APIVERSION/s/^.*"\(.*\)".*$$/\1/p' $(VDRDIR)/config.h)
diff --git a/PLUGINS/src/osddemo/Makefile b/PLUGINS/src/osddemo/Makefile
index 68a236b..669bef1 100644
--- a/PLUGINS/src/osddemo/Makefile
+++ b/PLUGINS/src/osddemo/Makefile
@@ -24,14 +24,14 @@ VDRDIR ?= ../../..
 LIBDIR ?= ../../lib
 TMPDIR ?= /tmp
 
-### Make sure that necessary options are included:
-
-include $(VDRDIR)/Make.global
-
 ### Allow user defined options to overwrite defaults:
 
 -include $(VDRDIR)/Make.config
 
+### Make sure that necessary options are included:
+
+include $(VDRDIR)/Make.global
+
 ### The version number of VDR's plugin API (taken from VDR's "config.h"):
 
 APIVERSION = $(shell sed -ne '/define APIVERSION/s/^.*"\(.*\)".*$$/\1/p' $(VDRDIR)/config.h)
diff --git a/PLUGINS/src/pictures/Makefile b/PLUGINS/src/pictures/Makefile
index cee95ef..5c3a67e 100644
--- a/PLUGINS/src/pictures/Makefile
+++ b/PLUGINS/src/pictures/Makefile
@@ -26,14 +26,14 @@ VDRDIR ?= ../../..
 LIBDIR ?= ../../lib
 TMPDIR ?= /tmp
 
-### Make sure that necessary options are included:
-
-include $(VDRDIR)/Make.global
-
 ### Allow user defined options to overwrite defaults:
 
 -include $(VDRDIR)/Make.config
 
+### Make sure that necessary options are included:
+
+include $(VDRDIR)/Make.global
+
 ### The version number of VDR's plugin API (taken from VDR's "config.h"):
 
 APIVERSION = $(shell sed -ne '/define APIVERSION/s/^.*"\(.*\)".*$$/\1/p' $(VDRDIR)/config.h)
diff --git a/PLUGINS/src/rcu/Makefile b/PLUGINS/src/rcu/Makefile
index 170490a..6b10093 100644
--- a/PLUGINS/src/rcu/Makefile
+++ b/PLUGINS/src/rcu/Makefile
@@ -26,14 +26,14 @@ VDRDIR ?= ../../..
 LIBDIR ?= ../../lib
 TMPDIR ?= /tmp
 
-### Make sure that necessary options are included:
-
-include $(VDRDIR)/Make.global
-
 ### Allow user defined options to overwrite defaults:
 
 -include $(VDRDIR)/Make.config
 
+### Make sure that necessary options are included:
+
+include $(VDRDIR)/Make.global
+
 ### The version number of VDR's plugin API (taken from VDR's "config.h"):
 
 APIVERSION = $(shell sed -ne '/define APIVERSION/s/^.*"\(.*\)".*$$/\1/p' $(VDRDIR)/config.h)
diff --git a/PLUGINS/src/servicedemo/Makefile b/PLUGINS/src/servicedemo/Makefile
index 941aaff..9ff5b65 100644
--- a/PLUGINS/src/servicedemo/Makefile
+++ b/PLUGINS/src/servicedemo/Makefile
@@ -26,14 +26,14 @@ VDRDIR ?= ../../..
 LIBDIR ?= ../../lib
 TMPDIR ?= /tmp
 
-### Make sure that necessary options are included:
-
-include $(VDRDIR)/Make.global
-
 ### Allow user defined options to overwrite defaults:
 
 -include $(VDRDIR)/Make.config
 
+### Make sure that necessary options are included:
+
+include $(VDRDIR)/Make.global
+
 ### The version number of VDR's plugin API (taken from VDR's "config.h"):
 
 APIVERSION = $(shell sed -ne '/define APIVERSION/s/^.*"\(.*\)".*$$/\1/p' $(VDRDIR)/config.h)
diff --git a/PLUGINS/src/skincurses/Makefile b/PLUGINS/src/skincurses/Makefile
index b43518b..95282bf 100644
--- a/PLUGINS/src/skincurses/Makefile
+++ b/PLUGINS/src/skincurses/Makefile
@@ -26,14 +26,14 @@ VDRDIR ?= ../../..
 LIBDIR ?= ../../lib
 TMPDIR ?= /tmp
 
-### Make sure that necessary options are included:
-
-include $(VDRDIR)/Make.global
-
 ### Allow user defined options to overwrite defaults:
 
 -include $(VDRDIR)/Make.config
 
+### Make sure that necessary options are included:
+
+include $(VDRDIR)/Make.global
+
 ### The version number of VDR's plugin API (taken from VDR's "config.h"):
 
 APIVERSION = $(shell sed -ne '/define APIVERSION/s/^.*"\(.*\)".*$$/\1/p' $(VDRDIR)/config.h)
diff --git a/PLUGINS/src/status/Makefile b/PLUGINS/src/status/Makefile
index dd46ba6..5dae7fc 100644
--- a/PLUGINS/src/status/Makefile
+++ b/PLUGINS/src/status/Makefile
@@ -24,14 +24,14 @@ VDRDIR ?= ../../..
 LIBDIR ?= ../../lib
 TMPDIR ?= /tmp
 
-### Make sure that necessary options are included:
-
-include $(VDRDIR)/Make.global
-
 ### Allow user defined options to overwrite defaults:
 
 -include $(VDRDIR)/Make.config
 
+### Make sure that necessary options are included:
+
+include $(VDRDIR)/Make.global
+
 ### The version number of VDR's plugin API (taken from VDR's "config.h"):
 
 APIVERSION = $(shell sed -ne '/define APIVERSION/s/^.*"\(.*\)".*$$/\1/p' $(VDRDIR)/config.h)
diff --git a/PLUGINS/src/svdrpdemo/Makefile b/PLUGINS/src/svdrpdemo/Makefile
index 5109b29..9134161 100644
--- a/PLUGINS/src/svdrpdemo/Makefile
+++ b/PLUGINS/src/svdrpdemo/Makefile
@@ -24,14 +24,14 @@ VDRDIR ?= ../../..
 LIBDIR ?= ../../lib
 TMPDIR ?= /tmp
 
-### Make sure that necessary options are included:
-
-include $(VDRDIR)/Make.global
-
 ### Allow user defined options to overwrite defaults:
 
 -include $(VDRDIR)/Make.config
 
+### Make sure that necessary options are included:
+
+include $(VDRDIR)/Make.global
+
 ### The version number of VDR's plugin API (taken from VDR's "config.h"):
 
 APIVERSION = $(shell sed -ne '/define APIVERSION/s/^.*"\(.*\)".*$$/\1/p' $(VDRDIR)/config.h)
diff --git a/newplugin b/newplugin
index 59a9435..10278b2 100755
--- a/newplugin
+++ b/newplugin
@@ -85,14 +85,14 @@ VDRDIR ?= ../../..
 LIBDIR ?= ../../lib
 TMPDIR ?= /tmp
 
-### Make sure that necessary options are included:
-
-include \$(VDRDIR)/Make.global
-
 ### Allow user defined options to overwrite defaults:
 
 -include \$(VDRDIR)/Make.config
 
+### Make sure that necessary options are included:
+
+include \$(VDRDIR)/Make.global
+
 ### The version number of VDR's plugin API (taken from VDR's "config.h"):
 
 APIVERSION = \$(shell sed -ne '/define APIVERSION/s/^.*"\\(.*\\)".*\$\$/\\1/p' \$(VDRDIR)/config.h)
